Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 21/03/2018, à 16:05

Caribou22

Les variantes LTS, support de 3 ou 5 ans ?

Bonjour smile

J'ouvre cette discussion qui me semble intéressante au sujet des variantes officielles de Ubuntu et de leur support LTS.

Ceci fait suite à ce post de metalux : http://forum.ubuntu-fr.org/viewtopic.ph … #p21891182

metalux a écrit :
xubu1957 a écrit :

@ Caribou22

> Lubuntu#Historique_de_versions

> Xubuntu#Tableau_des_versions_sorties

Variante officielle    Durée de la maintenance    Date de fin de soutien
Ubuntu    5 ans    Avril 2021
Kubuntu    3 ans    Avril 2019
Ubuntu GNOME    3 ans    Avril 2019
Ubuntu MATE    3 ans    Avril 2019
Ubuntu Studio    3 ans    Avril 2019
Xubuntu    3 ans    Avril 2019
Lubuntu    3 ans    Avril 2019
UbuntuKylin    5 ans    Avril 2021
Mythbuntu    jusqu'à peu après la sortie d'Ubuntu 18.04 LTS

Doc > xenial

Ce ne sont que les paquets spécifiques à l'environnement qui ne sont soutenus que 3 ans, tout le reste bénéficie du même support car les dépôts sont effectivement les mêmes. Peut-être ai-je tord, mais ça ne m'a jamais inquiété de dépasser la durée de 3 ans sur une variante, les éléments essentiels étant mis à jour après cette durée. Pour exemple, j'ai migré par mise à niveau le PC de mon épouse d'une Voyager X2 (Xubuntu 14.04) vers une 16.04.3 début octobre, soit 6 mois après la fin du support officiel.
D'ailleurs, chose intéressante, il existe la commande ubuntu-support-status qui liste tous les paquets installés sur la distribution avec la durée du support pour ceux-ci....et même sur une Ubuntu de base, il y a des paquets qui ne sont plus pris en charge passé 3 ans, ceux des dépôts universe.

ubuntu-support-status --show-all > liste_support

Il n'y a plus qu'à consulter le fichier liste_support wink
Les autres options possibles: --show-unsupported, --show-supported et --list

On y apprend que le support LTS officiel des variantes est de 3 ans pour la plupart. Or, elles ont toutes les mêmes dépôts que Ubuntu (variante officielle) qui est soutenue 5 ans pour ses versions LTS.
J'en conclus que toutes les versions LTS de variantes officielles peuvent officieusement fonctionner pendant la même durée que les LTS Ubuntu, 5 ans.

Par exemple, Xubuntu 14.04 LTS est obsolète officiellement depuis avril 2017. Je l'ai toujours sur un ordi... et pourtant elle tourne ! big_smile
Les mises à jour passent sans soucis et je pense que la mise à niveau vers 16.04 LTS puis 18.04 LTS sera possible, mais j'attends la fin de Ubuntu 14.04 LTS en 2019

Qu'en pensez-vous ? Respectez-vous la fin de support LTS "prématurée" des variantes ?

Hors ligne

#2 Le 21/03/2018, à 16:28

xubu1957

Re : Les variantes LTS, support de 3 ou 5 ans ?

Re,

Suite à cette réponse :

Le 21/03/2018, moko138 a écrit :
metalux a écrit :

Ce ne sont que les paquets spécifiques à l'environnement qui ne sont soutenus que 3 ans, tout le reste bénéficie du même support car les dépôts sont effectivement les mêmes. Peut-être ai-je tort, mais ça ne m'a jamais inquiété de dépasser la durée de 3 ans sur une variante, les éléments essentiels étant mis à jour après cette durée.

ubuntu-support-status --show-all

+1    Je n'ai pas de 16.04 ; j'utilise 14.04 à noyau 3.13 maintenu cinq ans, dans Xubuntu et Lubuntu.
Seuls les paquets spécifiques à Xfce et à Lxde (environ 2%, de mémoire) ne sont plus mis à jour.
Les bugs éventuels ont été corrigés depuis longtemps.

Évaluation du danger spécifique
Il serait que, dans les paquets spécifiques, une faille de sécurité ignorée soit découverte - par hasard, parce qu'un pirate ne va pas employer son temps à chercher une faille dans les paquets périmés d'un environnement minoritaire d'une famille de distributions elle-même minoritaire -
et exploitée.
Probabilité quasi nulle.

_ _ _

Les variantes peuvent donc, sans crainte, fonctionner cinq ans. (edit voir le post #4)

Et pour une mise à niveau, au delà des trois ans, c'est possible ?

_ _ _

Additif

Le 18/02/2019, moko138 a écrit :

On arrête de fantasmer !

ubuntu-support-status

indiquera exactement le pourcentage (faible) de paquets (propres à Xfce ou à Xubuntu) dont le support 16.04 s'arrête.
Il est même possible d'avoir le nom de chaque paquet dont le support s'arrête, avec --show-unsupported, --show-supported ou --show-all pour voir tous les détails


Tout le reste (de l'ordre de 95%), dont les navigateurs, la bureautique, bash, le réseau, les pilotes... enfin tout ce qui n'est pas spécifique à Xubuntu 16.04, continuera d'être supporté et mis à jour jusqu'en 2021.

= =


Si on veut du 100% soutenu et du sans souci,
on évitera d'installer la 18.04.2 en raison de son noyau évolutif (à moins d'avoir du matériel tellement récent qu'il n'est pas pris en charge avant - mais ce n'est pas ton cas); on préférera la 18.04.1 et son noyau qui restera en jusqu'en 2023 en version 4.15.

> [résolu] Y a-t-il un risque d'utiliser une version en fin de vie ?

Dernière modification par xubu1957 (Le 19/02/2019, à 08:48)


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 18.04.1 LTS - Lenovo T410 -Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#3 Le 21/03/2018, à 16:50

Caribou22

Re : Les variantes LTS, support de 3 ou 5 ans ?

D'après le retour de Metalux, oui smile

metalux a écrit :

Pour exemple, j'ai migré par mise à niveau le PC de mon épouse d'une Voyager X2 (Xubuntu 14.04) vers une 16.04.3 début octobre, soit 6 mois après la fin du support officiel.

Voyager n'étant qu'une Xubuntu personnalisée de mémoire.

Hors ligne

#4 Le 21/03/2018, à 23:27

metalux

Re : Les variantes LTS, support de 3 ou 5 ans ?

moko138 a écrit :
xubu1957 a écrit :

Les variantes peuvent donc, sans crainte, fonctionner cinq ans.

J'ai signalé ma prise de risque calculée et ma pratique.
Ça fonctionne, mais comme il y a prise de risque, facile à éviter (*), je ne me permets pas de la conseiller.

  - -

xubu1957 a écrit :

Et pour une mise à niveau, au delà des trois ans, c'est possible ?

Aucune idée.  Par quête de stabilité, je fuis les mises à niveau.

Hello smile ,
Oui, la mise à niveau fonctionne et reste possible au delà des 3 ans, tant que les dépôts ne passent pas en old-release au bout de 5 ans.
Et pour répondre à moko138 sur la stabilité de la mise à niveau, c'est très très stable sur ce PC, il ne plante jamais! Il a vu une Voyager 13.04 migrer en 13.10 puis en 14.04 avec simplement un bug ou 2 lors du passage en 13.10 facilement résolu, puis tournait comme une horloge lors de la mise à niveau en 14.04 jusqu'à ce qu'il........n'a pas apprécié la cohabitation en milieu humide, voire une baignade en bon et dû forme lors d'un orage roll !
Après l'avoir démonté, retiré la pile et séché au sèche-cheveux, alors qu'il ne répondait plus du tout et ne s'allumait pas, il fini par repartir quelques jours plus tard, sans doute quand toute l'humidité s'est évaporée. Le HDD présentait des erreurs et a fini par rendre l'âme quelques mois plus tard. Remplacé par un SSD et réinstallé avec une Voyager X2 qui s'avère effectivement être une Xubuntu personnalisée, il fonctionne toujours très bien après la mise à niveau d'octobre en 16.04.

Hors ligne

#5 Le 07/01/2020, à 19:04

Caille

Re : Les variantes LTS, support de 3 ou 5 ans ?

Bonjour,

Petit Hors sujet avec toutes mes excuses.

Je viens de faire ces commandes sur ma version 19.10 maintenu 9 mois, voici le résultat:
Les commandes proposées par la console sont des commandes introuvables ?

caille@caille-N76VB:~$ ubuntu-support-status
Résumé de l'état du support de « caille-N76VB » :

Vous avez 1716 paquets (89.3%) pris en charge jusqu'à juillet 2020 (Canonical - 9m)

Vous avez 1 paquets (0.1%) qui ne peuvent pas ou plus être téléchargés
Vous avez 205 paquets (10.7%) qui ne sont pas pris en charge

Exécuter avec --show-unsupported, --show-supported ou --show-all pour voir plus de détails
caille@caille-N76VB:~$ --show-unsupported
--show-unsupported : commande introuvable
caille@caille-N76VB:~$ --show-supported
--show-supported : commande introuvable
caille@caille-N76VB:~$ --show-all
--show-all : commande introuvable
caille@caille-N76VB:~$ --show unsupported
--show : commande introuvable
caille@caille-N76VB:~$ ubuntu-support-status --show-all > liste_support
caille@caille-N76VB:~$ 

Cordialement.

Dernière modification par Caille (Le 07/01/2020, à 20:46)


PC Asus N76B-T5041H (Core I-7 3630QM - Ram 16 Go, Vidéo INTEL HD 4000 + GEFORCE 740 M Ram 4 Go)
Systèmes : Windows 10 - 2004 / Manjaro - 20 (KDE) / Ubuntu - 20.04 LTS (Gnome)
Disques : Systèmes SSD Samsung 860 PRO - 1 To / Données HDD - Seagate FireCuda 2 To hybride SSHD (ST2000LX001)

Hors ligne

#6 Le 07/01/2020, à 19:21

Watts

Re : Les variantes LTS, support de 3 ou 5 ans ?

Pour le premier:

"Exécuter avec --show-unsupported, --show-supported ou --show-all"

C'est à dire faire:

ubuntu-support-status --show-unsupported

par exemple.

Pour la deuxième question:

Aucune idée, ça dépend sur quel dossier tu étais lorsque tu as exécuté la commande. Et comme on a pas le prompt, on peut pas devenir


Acer Aspire X3990-Dual boot Windows 7 / Ubuntu 18.04

Hors ligne

#7 Le 07/01/2020, à 19:34

Caille

Re : Les variantes LTS, support de 3 ou 5 ans ?

Merci pour ta réponse !

Ça veut dire quoi qu'ils ne sont plus supportés ?
J'aperçois même le Boot-infos, il y a autre chose maintenant ?

Non pris en charge : 
alacarte boot-info boot-sav boot-sav-extra 
chromium-codecs-ffmpeg-extra dde-qt5integration deepin-notifications 
deepin-screenshot deepin-shortcut-viewer e-wrapper engrampa-common 
exo-utils fonts-opensymbol fonts-roboto fonts-roboto-unhinted gimp 
gimp-data gimp-help-common gimp-help-en gimp-help-fr gir1.2-handy-0.0 
glade2script gnome-tweaks gnustep-base-common gnustep-base-runtime 
gnustep-common gstreamer1.0-libav gstreamer1.0-plugins-ugly 
gstreamer1.0-vaapi i965-va-driver intel-media-va-driver liba52-0.7.4 
libaacs0 libaom0 libass9 libavcodec58 libavfilter7 libavformat58 
libavutil56 libbabl-0.1-0 libbdplus0 libbluray2 libbs2b0 
libcaja-extension1 libchromaprint1 libcodec2-0.8.1 libde265-0 
libdframeworkdbus2 libdouble-conversion3 libdtkcore2 libdtkwidget2 
libdtkwm2 libdvdnav4 libdvdread4 libept1.5.90 libexo-2-0 
libexo-common libexo-helpers libflickcurl0 libflite1 libgegl-0.4-0 
libgegl-common libgimp2.0 libgme0 libgnustep-base1.26 
libgraphicsmagick-q16-3 libgsettings-qt1 libgsm1 
libgstreamer-plugins-bad1.0-0 libgumbo1 libhandy-0.0-0 libheif1 
libigdgmm11 libjs-prototype libjs-scriptaculous liblensfun-data-v1 
liblensfun1 liblilv-0-0 libmng2 libmpeg2-4 libmypaint-1.3-0 
libmypaint-common libmysofa0 libnorm1 libobjc4 libopencore-amrnb0 
libopencore-amrwb0 libopenjp2-7 libopenmpt0 libosmgpsmap-1.0-1 
libpgm-5.2-0 libpostproc55 libpugixml1v5 libpython-stdlib 
libpython2-stdlib libpython2.7-minimal libpython2.7-stdlib 
libqt5core5a libqt5dbus5 libqt5gui5 libqt5multimedia5 libqt5network5 
libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5widgets5 
libqt5x11extras5 libqt5xdg3 libqt5xdgiconloader3 libqt5xml5 
libreoffice-base-core libreoffice-calc libreoffice-common 
libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk3 
libreoffice-help-common libreoffice-help-en-gb libreoffice-help-en-us 
libreoffice-help-fr libreoffice-impress libreoffice-l10n-en-gb 
libreoffice-l10n-en-za libreoffice-l10n-fr libreoffice-math 
libreoffice-ogltrans libreoffice-pdfimport libreoffice-style-breeze 
libreoffice-style-colibre libreoffice-style-elementary 
libreoffice-style-tango libreoffice-writer librubberband2 libserd-0-0 
libshine3 libsidplay1v5 libsnack-oss libsord-0-0 libsratom-0-0 
libswresample3 libswscale5 libthunarx-3-0 libtk-img libtumbler-1-0 
libva-drm2 libva-wayland2 libva-x11-2 libva2 libvidstab1.1 
libx264-155 libx265-176 libxapian30 libxfce4panel-2.0-4 
libxfce4ui-2-0 libxfce4ui-common libxfce4util-bin libxfce4util-common 
libxfce4util7 libxfconf-0-3 libxvidcore4 libzmq5 libzvbi-common 
libzvbi0 mesa-va-drivers osspd osspd-pulseaudio p7zip p7zip-full 
python python-gi python-minimal python2 python2-minimal python2.7 
python2.7-minimal python3-uno qt5-gtk-platformtheme qt5dxcb-plugin 
qttranslations5-l10n scid scid-data synaptic tcl tcl-snack tcllib 
tdom texlive-games thunar thunar-archive-plugin thunar-data 
thunar-volman tk tumbler tumbler-common ubuntu-restricted-addons unar 
uno-libs3 unp unrar unrar-free ure va-driver-all xarchiver xfconf 

PC Asus N76B-T5041H (Core I-7 3630QM - Ram 16 Go, Vidéo INTEL HD 4000 + GEFORCE 740 M Ram 4 Go)
Systèmes : Windows 10 - 2004 / Manjaro - 20 (KDE) / Ubuntu - 20.04 LTS (Gnome)
Disques : Systèmes SSD Samsung 860 PRO - 1 To / Données HDD - Seagate FireCuda 2 To hybride SSHD (ST2000LX001)

Hors ligne

#8 Le 07/01/2020, à 20:11

Watts

Re : Les variantes LTS, support de 3 ou 5 ans ?

En cherchant vite fait, ça veut juste dire que ces softs ne sont pas maintenus par Canonical, car dans le soutien, entends par là que c'est celui de Canonical


Acer Aspire X3990-Dual boot Windows 7 / Ubuntu 18.04

Hors ligne

#9 Le 07/01/2020, à 20:22

moko138

Re : Les variantes LTS, support de 3 ou 5 ans ?

Concrètement les "Non pris en charge" ne connaîtront plus de nouvelle mise à jour.

Par ailleurs, je suppose que tu connais :
https://doc.ubuntu-fr.org/old-releases# … fin_de_vie


%NOINDEX%
Un utilitaire précieux : ncdu
Photo, mini-tutoriel :  À la découverte de dcraw

En ligne

#10 Le 07/01/2020, à 20:32

cqfd93

Re : Les variantes LTS, support de 3 ou 5 ans ?

Bonjour,

Caille a écrit :

Je viens de faire ces commandes sur ma version 19.10 maintenu 9 mois, voici le résultat:

C'est plutôt hors-sujet, puisque le sujet de la discussion est « Les variantes LTS, support de 3 ou 5 ans ? » alors que 19.10 est une version intermédiaire.


cqfd93

Hors ligne

#11 Le 07/01/2020, à 20:54

Caille

Re : Les variantes LTS, support de 3 ou 5 ans ?

Oups !

Pas fait attention, j'étais sur mon smartphone, je n'ai pas fait attention.

Bonne soirée quand même. wink


PC Asus N76B-T5041H (Core I-7 3630QM - Ram 16 Go, Vidéo INTEL HD 4000 + GEFORCE 740 M Ram 4 Go)
Systèmes : Windows 10 - 2004 / Manjaro - 20 (KDE) / Ubuntu - 20.04 LTS (Gnome)
Disques : Systèmes SSD Samsung 860 PRO - 1 To / Données HDD - Seagate FireCuda 2 To hybride SSHD (ST2000LX001)

Hors ligne

#12 Le 08/01/2020, à 19:27

abecidofugy

Re : Les variantes LTS, support de 3 ou 5 ans ?

Kubuntu LTS n’a qu’une durée de vie de 3 ans en effet. Personnellement, je n’irai pas au delà, même si la base est une Ubuntu au cycle de vie de 5 ans.

Si on veut « une Kubuntu » de 5 ans, il est nécessaire de passer à KDE neon. Comme ça, on a toutes les nouveautés et éventuels correctifs de sécurité sur le DE (il doit bien exister des failles dans les DE, non ?) et on a une base stable et à jour pour ce qui est sous le capot.

Je pense rester sur des LTS en tous les cas, sauf en cas d’achat d’un PC récent, où forcément je voudrais le dernier noyau.


Kubuntu et KDE neon 18.04 LTS en VM dans host Windows 10 (24 Go de ram) / Kubuntu en double-boot avec Win10 / Ubuntu 16.04 serveur sur machines dédiées.
Agence de communication en Alsace · web · print
Sur Riot : @patricius:matrix.org

Hors ligne

#13 Le 06/04/2020, à 17:00

LukePerp

Re : Les variantes LTS, support de 3 ou 5 ans ?

L'astuce si on souhaite avoir un support de 5 ans sur une variante est d'installer l'environnement de la variante (xfce, mate, lxqt) sur Ubuntu classic. C'est ce qu'on font les auteurs de Linux Mint.


Desktop : Ubuntu Mate LTS - Intel i5 - 8 Go - Dual boot Windows 7 non connecté pour jouer
Laptop : Ubuntu Mate LTS - Intel i5 - 4 Go
Mises à jour silencieuses : Script

Hors ligne

#14 Le 06/04/2020, à 18:39

metalux

Re : Les variantes LTS, support de 3 ou 5 ans ?

Salut LukePerp,

Qu'est-ce que ça change? Les dépôts sont exactement les mêmes que ce soit une ubuntu classic ou une variante. Ce sont les paquets en provenance du dépôt universe maintenus par la communauté qui ont un support de 3 ans et même sur une Ubuntu Classic qui est maintenue 5 ans, les paquets en provenance de ce dépôt ne sont maintenus que 3 ans. Parmi les plus connus, il y a par exemple Vlc, chromium-browser, Brasero...
Les paquets maintenus 5 ans sont ceux maintenus par Canonical qui se trouve dans le dépôt Main.
Je ne me suis pas penché sur la question depuis longtemps mais je ne vois pas pourquoi maintenant les dépôts seraient différents d'une variante à l'autre, et que soudainement canonical se mettrait à maintenir des paquets du dépôt universe une fois les 3 ans écoulés. Si c'était le cas, alors les variantes en bénéficieraient automatiquement et seuls les paquets spécifiques à l'environnement ne seraient plus maintenus....ce qui ne changerait rien en installant l'environnement de la variante sur Ubuntu Classic.
Tout ça tu peux le vérifier avec la commande ubuntu-support-status donné précédemment.
Si tu as une Linux Mint avec variante, ça serait intéressant que tu regardes ce que cette commande donne, si elle est disponible sur LM.

Hors ligne

#15 Le 12/05/2020, à 10:34

melixgaro

Re : Les variantes LTS, support de 3 ou 5 ans ?

Salut,

De toute façon, les “cinq ans” sont exagérés car ça n'est jamais l'intégralité du système qui bénéficie de ces cinq ans, même sur la variante ubuntu de base (bureau Gnome).


Linux depuis ~2007. Xubuntu seulement.

Hors ligne

#16 Le 12/05/2020, à 17:10

Caribou22

Re : Les variantes LTS, support de 3 ou 5 ans ?

Yep. Au final, tout ça n'est qu'indicatif...

Je crois même qu'il y a des paquets non-maintenus dans les dépôts d'une version dès sa sortie... tongue

Hors ligne

#17 Le 24/05/2020, à 18:52

tgv34

Re : Les variantes LTS, support de 3 ou 5 ans ?

tgv@ms7:~$ ubuntu-support-status --show-unsupported
ubuntu-support-status?: commande introuvable
tgv@ms7:~$ 

Xubuntu 20.04


Linux depuis 2006 ubuntu 6.06 - Xubuntu depuis 10.04

Hors ligne

#18 Le 24/05/2020, à 21:49

metalux

Re : Les variantes LTS, support de 3 ou 5 ans ?

Oui, cette commande est désormais obsolète, il faut utiliser ubuntu-security-status à partir de la 20.04.

Hors ligne